Index: /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_accesscode.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_accesscode.py	(revision 8233)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_accesscode.py	(revision 8234)
@@ -233,5 +233,5 @@
         # Access codes have a history.
         match = re.match(
-            '^....-..-.. ..:..:.. ..... .+ - initialized by system',
+            '^....-..-.. ..:..:.. .+ - initialized by system',
             self.ac1.history)
         assert match is not None
@@ -300,7 +300,7 @@
 "prefix","serial","ac","state","history"
 "FOO","9.99","1","0"
-"FOO","0","FOO-1-11111111","used","<YYYY-MM-DD hh:mm:ss TZ> - ..."
-"FOO","1","FOO-1-22222222","initialized","<YYYY-MM-DD hh:mm:ss TZ> - ..."
-"FOO","2","FOO-1-33333333","disabled","<YYYY-MM-DD hh:mm:ss TZ> - ..."
+"FOO","0","FOO-1-11111111","used","<YYYY-MM-DD hh:mm:ss> UTC - ..."
+"FOO","1","FOO-1-22222222","initialized","<YYYY-MM-DD hh:mm:ss> UTC - ..."
+"FOO","2","FOO-1-33333333","disabled","<YYYY-MM-DD hh:mm:ss> UTC - ..."
 '''[1:]
         contents = open(result_path, 'rb').read()
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/pdf.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/pdf.py	(revision 8233)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/pdf.py	(revision 8234)
@@ -332,5 +332,5 @@
         if not getattr(doc, 'kofa_nodate', False):
             tz = getUtility(IKofaUtils).tzinfo
-            today = now(tz).strftime('%d/%m/%Y %H:%M:%S %z %Z')
+            today = now(tz).strftime('%d/%m/%Y %H:%M:%S %Z')
             canvas.drawString(2.2*cm, 0.5 * inch,
                 translate(_(u'Date: ${a}', mapping = {'a': today})))
Index: /main/waeup.kofa/trunk/src/waeup/kofa/hostels/hostel.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/hostels/hostel.py	(revision 8233)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/hostels/hostel.py	(revision 8234)
@@ -210,5 +210,5 @@
             bedticket.bed = None
             tz = getUtility(IKofaUtils).tzinfo
-            timestamp = now(tz).strftime("%Y-%m-%d %H:%M:%S %z %Z")
+            timestamp = now(tz).strftime("%Y-%m-%d %H:%M:%S %Z")
             bedticket.bed_coordinates = u'-- booking cancelled on %s --' % (
                 timestamp,)
Index: /main/waeup.kofa/trunk/src/waeup/kofa/hostels/tests.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/hostels/tests.py	(revision 8233)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/hostels/tests.py	(revision 8234)
@@ -284,5 +284,5 @@
           self.browser.contents)
         self.assertMatches(bedticket.bed_coordinates,
-          u' -- booking cancelled on <YYYY-MM-DD hh:mm:ss TZ> --')
+          u' -- booking cancelled on <YYYY-MM-DD hh:mm:ss> UTC --')
         # If we release a free be, nothing will happen
         ctrl = self.browser.getControl(name='val_id')
Index: /main/waeup.kofa/trunk/src/waeup/kofa/objecthistory.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/objecthistory.py	(revision 8233)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/objecthistory.py	(revision 8234)
@@ -61,5 +61,5 @@
         msgs = self._getMessages()
         tz = getUtility(IKofaUtils).tzinfo
-        timestamp = now(tz).strftime("%Y-%m-%d %H:%M:%S %z %Z")
+        timestamp = now(tz).strftime("%Y-%m-%d %H:%M:%S %Z")
         user = get_current_principal()
         if user is None:
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 8233)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 8234)
@@ -209,5 +209,5 @@
       frame_footer = Frame(1*cm,0,width-(2*cm),1*cm)
       tz = getUtility(IKofaUtils).tzinfo
-      timestamp = now(tz).strftime("%d/%m/%Y %H:%M:%S %z %Z")
+      timestamp = now(tz).strftime("%d/%m/%Y %H:%M:%S %Z")
       left_text = '<font size=10>%s</font>' % timestamp
       story.append(Paragraph(left_text, style["Normal"]))
Index: /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_objecthistory.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_objecthistory.py	(revision 8233)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_objecthistory.py	(revision 8234)
@@ -80,5 +80,5 @@
         hist.addMessage('blah')
         result = ''.join(hist.messages)
-        self.assertMatches('<YYYY-MM-DD hh:mm:ss TZ> - blah by system', result)
+        self.assertMatches('<YYYY-MM-DD hh:mm:ss> UTC - blah by system', result)
 
     def test_add_messages_existing_principal(self):
@@ -89,5 +89,5 @@
         hist.addMessage('blah')
         result = ''.join(hist.messages)
-        self.assertMatches('<YYYY-MM-DD hh:mm:ss TZ> - blah by Bob', result)
+        self.assertMatches('<YYYY-MM-DD hh:mm:ss> UTC - blah by Bob', result)
 
     def test_messages(self):