Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8243)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8244)
@@ -472,7 +472,7 @@
         payment.p_category = p_category
         payment.amount_auth = academic_session.acceptance_fee
-        payment.surcharge_1 = academic_session.surcharge_1
-        payment.surcharge_2 = academic_session.surcharge_2
-        payment.surcharge_3 = academic_session.surcharge_3
+        #payment.surcharge_1 = academic_session.surcharge_1
+        #payment.surcharge_2 = academic_session.surcharge_2
+        #payment.surcharge_3 = academic_session.surcharge_3
         self.context[payment.p_id] = payment
         self.flash(_('Payment ticket created.'))
@@ -524,5 +524,4 @@
             return
         self.context.r_amount_approved = self.context.amount_auth
-        self.context.r_card_num = u'0000'
         self.context.r_code = u'00'
         self.context.p_state = 'paid'
Index: main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 8243)
+++ main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 8244)
@@ -576,21 +576,21 @@
         )
 
-    surcharge_1 = schema.Float(
-        title = _(u'Surcharge Portal Provider'),
-        default = 0.0,
-        required = False,
-        )
-
-    surcharge_2 = schema.Float(
-        title = _(u'Surcharge Payment Gateway Provider'),
-        default = 0.0,
-        required = False,
-        )
-
-    surcharge_3 = schema.Float(
-        title = _(u'Surcharge 3'),
-        default = 0.0,
-        required = False,
-        )
+    #surcharge_1 = schema.Float(
+    #    title = _(u'Surcharge Portal Provider'),
+    #    default = 0.0,
+    #    required = False,
+    #    )
+
+    #surcharge_2 = schema.Float(
+    #    title = _(u'Surcharge Payment Gateway Provider'),
+    #    default = 0.0,
+    #    required = False,
+    #    )
+
+    #surcharge_3 = schema.Float(
+    #    title = _(u'Surcharge 3'),
+    #    default = 0.0,
+    #    required = False,
+    #    )
 
     clearance_fee = schema.Float(
Index: main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 8243)
+++ main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 8244)
@@ -103,31 +103,4 @@
     """
 
-    surcharge_1 = schema.Float(
-        title = _(u'Portal Fee'),
-        default = 0.0,
-        required = False,
-        readonly = True,
-        )
-
-    surcharge_2 = schema.Float(
-        title = _(u'Surcharge 2'),
-        default = 0.0,
-        required = False,
-        readonly = True,
-        )
-
-    surcharge_3 = schema.Float(
-        title = _(u'Surcharge 3'),
-        default = 0.0,
-        required = False,
-        readonly = True,
-        )
-
-    #order_id = schema.TextLine(
-    #    title = u'Order Id',
-    #    default = None,
-    #    required = True,
-    #    )
-
     ac = schema.TextLine(
         title = _(u'Activation Code'),
@@ -144,18 +117,4 @@
         )
 
-    r_desc = schema.TextLine(
-        title = _(u'Response Description'),
-        default = None,
-        required = False,
-        readonly = False,
-        )
-
-    r_pay_reference = schema.TextLine(
-        title = _(u'Response Payment Reference'),
-        default = None,
-        required = False,
-        readonly = False,
-        )
-
     r_code = schema.TextLine(
         title = _(u'Response Code'),
@@ -164,9 +123,2 @@
         readonly = False,
         )
-
-    r_card_num = schema.TextLine(
-        title = _(u'Response Card Number'),
-        default = None,
-        required = False,
-        readonly = False,
-        )
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 8243)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 8244)
@@ -1099,7 +1099,7 @@
         payment.p_session = p_session
         payment.amount_auth = pay_details['amount']
-        payment.surcharge_1 = pay_details['surcharge_1']
-        payment.surcharge_2 = pay_details['surcharge_2']
-        payment.surcharge_3 = pay_details['surcharge_3']
+        #payment.surcharge_1 = pay_details['surcharge_1']
+        #payment.surcharge_2 = pay_details['surcharge_2']
+        #payment.surcharge_3 = pay_details['surcharge_3']
         self.context[payment.p_id] = payment
         self.flash(_('Payment ticket created.'))
@@ -1142,5 +1142,4 @@
         write_log_message(self,'valid callback: %s' % self.context.p_id)
         self.context.r_amount_approved = self.context.amount_auth
-        self.context.r_card_num = u'0000'
         self.context.r_code = u'00'
         self.context.p_state = 'paid'
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/catalog.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/catalog.py	(revision 8243)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/catalog.py	(revision 8244)
@@ -141,3 +141,2 @@
     p_item = index.Field(attribute='p_item')
     p_state = index.Field(attribute='p_state')
-    r_pay_reference = index.Text(attribute='r_pay_reference')
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/sample_payment_data.csv
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/sample_payment_data.csv	(revision 8243)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/sample_payment_data.csv	(revision 8244)
@@ -1,4 +1,4 @@
-matric_number,p_state,p_category,r_pay_reference,r_desc,p_id,reg_number,session_id,r_amount_approved,p_item,amount_auth,r_card_num,r_code,creation_date,type,surcharge_1
-,paid,schoolfee,GTB|WEB|FUT|26-11-2010|002295,Approved Successful,3816951290797973744#,1,2010,19500,BTECHBDT,19500,0942,00,2010/11/26 19:59:33.744 GMT+1,online,0
-100001,unpaid,schoolfee,GTB|WEB|FUT|25-11-2010|,Transaction status unconfirmed,3816951290712593757,,2010,0,BTECHBDT,19500,0942,Z0,2010-11-25 20:16:33.757 GMT+1,online,0
-,paid,schoolfee,UBA|WEB|FUT|15-02-2010|000517,Approved Successful,p1266236341955,3,2009,19500,BTECHBDT,19500,0615,00,2010/02/15 13:19:01,online,0
+matric_number,p_state,p_category,p_id,reg_number,session_id,r_amount_approved,p_item,amount_auth,r_card_num,r_code,creation_date,type
+,paid,schoolfee,3816951290797973744#,1,2010,19500,BTECHBDT,19500,0942,00,2010/11/26 19:59:33.744 GMT+1,online
+100001,unpaid,schoolfee,3816951290712593757,,2010,0,BTECHBDT,19500,0942,Z0,2010-11-25 20:16:33.757 GMT+1,online
+,paid,schoolfee,p1266236341955,3,2009,19500,BTECHBDT,19500,0615,00,2010/02/15 13:19:01,online
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_catalog.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_catalog.py	(revision 8243)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_catalog.py	(revision 8244)
@@ -79,5 +79,4 @@
         payment.p_category = 'schoolfee'
         payment.p_state = 'paid'
-        payment.r_pay_reference = u'GTB|WEB|FUT'
         self.student['payments'][payment.p_id] = payment
         return
@@ -218,13 +217,4 @@
             'payments']['p1234567890']
 
-    def test_search_by_reference(self):
-        # We can find a payment ticket by parts of the response reference
-        cat = queryUtility(ICatalog, name='payments_catalog')
-        results = cat.searchResults(r_pay_reference='GTB')
-        results = [x for x in results] # Turn results generator into list
-        assert len(results) == 1
-        assert results[0] is self.app['students'][self.student_id][
-            'payments']['p1234567890']
-
     def test_reindex(self):
         # We can reindex any kind of catalog with the updateIndexes method.
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 8243)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 8244)
@@ -256,7 +256,7 @@
             d['error'] = u'Session configuration object is not available.'
             return d
-        d['surcharge_1'] = academic_session.surcharge_1
-        d['surcharge_2'] = academic_session.surcharge_2
-        d['surcharge_3'] = academic_session.surcharge_3
+        #d['surcharge_1'] = academic_session.surcharge_1
+        #d['surcharge_2'] = academic_session.surcharge_2
+        #d['surcharge_3'] = academic_session.surcharge_3
         if category == 'schoolfee':
             d['amount'] = academic_session.school_fee_base
@@ -265,9 +265,9 @@
             d['p_item'] = student['studycourse'].certificate.code
             d['amount'] = academic_session.clearance_fee
-            d['surcharge_1'] = 0.0 # no portal fee
+            #d['surcharge_1'] = 0.0 # no portal fee
         elif category == 'bed_allocation':
             d['p_item'] = self.getAccommodationDetails(student)['bt']
             d['amount'] = academic_session.booking_fee
-            d['surcharge_1'] = 0.0 # no portal fee
+            #d['surcharge_1'] = 0.0 # no portal fee
         return d
 