Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/pdf.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/pdf.py	(revision 8252)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/pdf.py	(revision 8257)
@@ -97,5 +97,5 @@
         return data
 
-    def __call__(self, view=None):
+    def __call__(self, view=None, note=None):
         """Return a PDF representation of the context applicant.
 
@@ -133,3 +133,4 @@
         # append comments
         data = self._addComments(data)
-        return creator.create_pdf(data, None, doc_title)
+
+        return creator.create_pdf(data, None, doc_title, note=note)
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/interfaces.py	(revision 8252)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/interfaces.py	(revision 8257)
@@ -178,5 +178,5 @@
         """A callback function to render background of PDFs.
         """
-    def create_pdf(data, headerline=None, title=None):
+    def create_pdf(data, headerline=None, title=None, note=None):
         """Create a PDF.
 
@@ -188,4 +188,7 @@
         the top bar.
 
+        `note` is optional HTML markup added at bottom of created
+        document.
+
         If no `headerline` is given, a default will be rendered (name
         of university).
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/pdf.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/pdf.py	(revision 8252)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/pdf.py	(revision 8257)
@@ -71,4 +71,12 @@
     )
 
+#: A reportlab paragraph style for notes output at end of documents.
+NOTE_STYLE = ParagraphStyle(
+    name='Note',
+    parent=NORMAL_STYLE,
+    fontName='Helvetica',
+    fontSize=12,
+    )
+
 def format_html(html):
     """Make HTML code usable for use in reportlab paragraphs.
@@ -349,5 +357,5 @@
 
     def create_pdf(self, data, headerline=None, title=None, author=None,
-                   footer=''):
+                   footer='', note=None):
         """Returns a binary data stream which is a PDF document.
         """
@@ -367,4 +375,7 @@
         doc.kofa_author = author
         doc.kofa_footer = footer
+        if note is not None:
+            html = format_html(note)
+            data.append(Paragraph(html, NOTE_STYLE))
         doc.build(data, onFirstPage=self.paint_background,
                   onLaterPages=self.paint_background,
Index: main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 8252)
+++ main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 8257)
@@ -1020,9 +1020,14 @@
     """
 
-    def __call__(view=None):
+    def __call__(view=None, note=None):
         """Create a bytestream representing a PDF from context.
 
         If `view` is passed in additional infos might be rendered into
         the document.
+
+        `note` is optional HTML rendered at bottom of the created
+        PDF. Please consider the limited reportlab support for HTML,
+        but using font-tags and friends you certainly can get the
+        desired look.
         """
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 8252)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 8257)
@@ -311,6 +311,7 @@
         return available_beds[0]
 
-    def renderPDF(self, view, filename='slip.pdf',
-        student=None, studentview=None, tableheader=None, tabledata=None):
+    def renderPDF(self, view, filename='slip.pdf', student=None,
+                  studentview=None, tableheader=None, tabledata=None,
+                  note=None):
         """Render pdf slips for various pages.
         """
@@ -359,5 +360,6 @@
         try:
             pdf_stream = creator.create_pdf(
-                data, None, doc_title, author=author, footer=footer_text)
+                data, None, doc_title, author=author, footer=footer_text,
+                note=note)
         except IOError:
             view.flash('Error in image file.')