Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8259)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8260)
@@ -442,5 +442,5 @@
         return
 
-class AcceptanceFeePaymentAddPage(UtilityView, grok.View):
+class ApplicationFeePaymentAddPage(UtilityView, grok.View):
     """ Page to add an online payment ticket
     """
@@ -456,5 +456,5 @@
 
     def update(self):
-        p_category = 'acceptance'
+        p_category = 'application'
         session = str(self.context.__parent__.year)
         try:
@@ -476,5 +476,5 @@
         payment.p_session = self.context.__parent__.year
         payment.p_category = p_category
-        payment.amount_auth = session_config.acceptance_fee
+        payment.amount_auth = session_config.application_fee
         payment = self._fillCustomFields(payment, session_config)
         self.context[payment.p_id] = payment
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/payment.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/payment.py	(revision 8259)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/payment.py	(revision 8260)
@@ -17,5 +17,5 @@
 ##
 """
-Acceptance fee payment.
+Application fee payment.
 """
 import grok
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 8259)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 8260)
@@ -595,5 +595,5 @@
         return
 
-    def test_pay_acceptance_fee(self):
+    def test_pay_application_fee(self):
         self.login()
         self.browser.open(self.edit_path)
@@ -613,5 +613,5 @@
         configuration = SessionConfiguration()
         configuration.academic_session = 2009
-        configuration.acceptance_fee = 200.0
+        configuration.application_fee = 200.0
         self.app['configuration'].addSessionConfiguration(configuration)
         self.browser.open(self.edit_path)
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/workflow.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/workflow.py	(revision 8259)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/workflow.py	(revision 8260)
@@ -62,5 +62,5 @@
     Transition(
         transition_id = 'pay',
-        title = _('Pay acceptance fee'),
+        title = _('Pay application fee'),
         msg = _('Fee paid'),
         source = STARTED,
Index: /main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 8259)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 8260)
@@ -576,4 +576,10 @@
         )
 
+    application_fee = schema.Float(
+        title = _(u'Application Fee'),
+        default = 0.0,
+        required = False,
+        )
+
     clearance_fee = schema.Float(
         title = _(u'Clearance Fee'),
@@ -583,11 +589,5 @@
 
     booking_fee = schema.Float(
-        title = _(u'Booking Fee'),
-        default = 0.0,
-        required = False,
-        )
-
-    acceptance_fee = schema.Float(
-        title = _(u'Acceptance Fee'),
+        title = _(u'Bed Booking Fee'),
         default = 0.0,
         required = False,
Index: /main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 8259)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 8260)
@@ -35,5 +35,5 @@
     (_('Transfer'),'transfer'),
     (_('Gown'),'gown'),
-    (_('Acceptance Fee'), 'acceptance'),
+    (_('Application Fee'), 'application'),
     )
 