Index: /main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser.py	(revision 8275)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser.py	(revision 8276)
@@ -228,4 +228,5 @@
         student = self.student = self.context.getStudent()
         certificate = getattr(self.student['studycourse'],'certificate',None)
+        self.amount_auth = 100 * self.context.amount_auth
         xmldict = {}
         if certificate is not None:
@@ -235,5 +236,4 @@
             xmldict['department'] = None
             xmldict['faculty'] = None
-        self.amount_special = 100 * (self.context.amount_auth - 150)
         self.category = payment_categories.getTermByToken(
             self.context.p_category).title
@@ -285,5 +285,5 @@
                 xmldict['institution_acct'] = '0122012109'
                 xmldict['institution_bank_id'] = '16'
-        xmldict['institution_amt'] = self.amount_special - 100 * provider_amt
+        xmldict['institution_amt'] = 100 * (self.amount_auth - provider_amt - 150)
         xmldict['institution_item_name'] = self.context.p_category
         xmldict['institution_name'] = INSTITUTION_NAME
@@ -320,9 +320,8 @@
             return
         self.applicant = self.context.__parent__
+        self.amount_auth = 100 * self.context.amount_auth
         xmldict = {}
         self.category = payment_categories.getTermByToken(
             self.context.p_category).title
-        # substract invisible Interswitch surcharge
-        self.amount_special = 100 * (self.context.amount_auth - 150)
         self.local_date_time = str(self.context.creation_date)
         self.site_redirect_url = self.url(self.context, 'request_webservice')
Index: /main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser_templates/applicant_goto_interswitch.pt
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser_templates/applicant_goto_interswitch.pt	(revision 8275)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser_templates/applicant_goto_interswitch.pt	(revision 8276)
@@ -62,5 +62,5 @@
   <input type="hidden" name="site_name" tal:attributes="value view/site_name" />
   <input type="hidden" name="local_date_time" tal:attributes="value view/local_date_time" />
-  <input type="hidden" name="amount" tal:attributes="value view/amount_special" />
+  <input type="hidden" name="amount" tal:attributes="value view/amount_auth" />
   <input type="hidden" name="txn_ref" tal:attributes="value view/context/p_id" />
   <input type="hidden" name="pay_item_name" tal:attributes="value view/context/p_item" />
Index: /main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser_templates/student_goto_interswitch.pt
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser_templates/student_goto_interswitch.pt	(revision 8275)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/interswitch/browser_templates/student_goto_interswitch.pt	(revision 8276)
@@ -62,5 +62,5 @@
   <input type="hidden" name="site_name" tal:attributes="value view/site_name" />
   <input type="hidden" name="local_date_time" tal:attributes="value view/local_date_time" />
-  <input type="hidden" name="amount" tal:attributes="value view/amount_special" />
+  <input type="hidden" name="amount" tal:attributes="value view/amount_auth" />
   <input type="hidden" name="txn_ref" tal:attributes="value view/context/p_id" />
   <input type="hidden" name="pay_item_name" tal:attributes="value view/context/p_item" />
Index: /main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py	(revision 8275)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/interswitch/tests.py	(revision 8276)
@@ -84,5 +84,5 @@
         # has been reduced by the Interswitch fee of 150 Nairas
         self.assertMatches(
-            '...<input type="hidden" name="amount" value="3985000.0" />...',
+            '...<input type="hidden" name="amount" value="4000000.0" />...',
             self.browser.contents)
 
@@ -160,8 +160,6 @@
         self.assertMatches('...Total Amount Authorized:...',
                            self.browser.contents)
-        # The total amount to be processed by Interswitch
-        # has been reduced by the Interswitch fee of 150 Nairas
         self.assertMatches(
-            '...<input type="hidden" name="amount" value="85000.0" />...',
+            '...<input type="hidden" name="amount" value="100000.0" />...',
             self.browser.contents)
 