Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8278)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8280)
@@ -462,4 +462,5 @@
         except KeyError:
             self.flash(_('Session configuration object is not available.'))
+            self.redirect(self.url(self.context))
             return
         timestamp = "%d" % int(time()*1000)
@@ -480,12 +481,8 @@
         self.context[payment.p_id] = payment
         self.flash(_('Payment ticket created.'))
+        self.redirect(self.url(payment))
         return
 
     def render(self):
-        usertype = getattr(self.request.principal, 'user_type', None)
-        if usertype == 'applicant':
-            self.redirect(self.url(self.context, '@@edit'))
-            return
-        self.redirect(self.url(self.context, '@@manage'))
         return
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 8278)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 8280)
@@ -437,5 +437,5 @@
         # There is a correct <img> link included
         self.assertTrue(
-              '<img src="passport.jpg" />' in self.browser.contents)
+              '<img src="passport.jpg" height="180px" />' in self.browser.contents)
         # Browsing the link shows a real image
         self.browser.open(self.image_url('passport.jpg'))
@@ -452,5 +452,5 @@
         # There is a correct <img> link included
         self.assertTrue(
-            '<img src="passport.jpg" />' in self.browser.contents)
+            '<img src="passport.jpg" height="180px" />' in self.browser.contents)
         # Browsing the link shows a real image
         self.browser.open(self.image_url('passport.jpg'))
@@ -473,5 +473,5 @@
         # There is a correct <img> link included
         self.assertTrue(
-            '<img src="passport.jpg" />' in self.browser.contents)
+            '<img src="passport.jpg" height="180px" />' in self.browser.contents)
         # We get a warning message
         self.assertTrue(
@@ -502,5 +502,5 @@
         # There is a correct <img> link included
         self.assertTrue(
-            '<img src="passport.jpg" />' in self.browser.contents)
+            '<img src="passport.jpg" height="180px" />' in self.browser.contents)
         # Browsing the link shows a real image
         self.browser.open(self.image_url('passport.jpg'))
@@ -541,5 +541,5 @@
         # There is a correct <img> link included
         self.assertTrue(
-            '<img src="passport.jpg" />' in self.browser.contents)
+            '<img src="passport.jpg" height="180px" />' in self.browser.contents)
         # Browsing the link shows a real image
         self.browser.open(self.image_url('passport.jpg'))
@@ -620,6 +620,9 @@
         self.assertMatches('...Payment ticket created...',
                            self.browser.contents)
+        self.assertMatches('...Activation Code...',
+                           self.browser.contents)
         # Payment ticket can be removed if they haven't received a
         # valid callback
+        self.browser.open(self.edit_path)
         ctrl = self.browser.getControl(name='val_id')
         value = ctrl.options[0]
@@ -629,4 +632,5 @@
         # We will try the callback request view
         self.browser.getControl("Add online payment ticket").click()
+        self.browser.open(self.edit_path)
         ctrl = self.browser.getControl(name='val_id')
         value = ctrl.options[0]
@@ -640,5 +644,4 @@
         #                   self.browser.contents)
         # Request callback
-        self.browser.open(payment_url)
         self.browser.getLink("Request callback").click()
         self.assertMatches('...Valid callback received...',