Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/applicant.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/applicant.py	(revision 8281)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/applicant.py	(revision 8282)
@@ -54,10 +54,10 @@
 
     @property
-    def state(self):
+    def app_state(self):
         return IWorkflowState(self).getState()
 
     @property
     def translated_state(self):
-        return application_states_dict[self.state]
+        return application_states_dict[self.app_state]
 
     @property
@@ -84,5 +84,5 @@
         """
         # Is applicant in the correct state?
-        if self.state != 'admitted':
+        if self.app_state != 'admitted':
             return False, "Applicant has not yet been admitted."
         # Does registration number exist?
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8281)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8282)
@@ -759,11 +759,11 @@
     @property
     def display_actions(self):
-        state = IWorkflowState(self.context).getState()
-        if state == INITIALIZED:
+        app_state = IWorkflowState(self.context).getState()
+        if app_state == INITIALIZED:
             actions = [[],[]]
-        elif state == STARTED:
+        elif app_state == STARTED:
             actions = [[_('Save')],
                 [_('Add online payment ticket'),_('Remove selected tickets')]]
-        elif state == PAID:
+        elif app_state == PAID:
             actions = [[_('Save'), _('Final Submit')],
                 [_('Remove selected tickets')]]
@@ -773,6 +773,6 @@
 
     def unremovable(self, ticket):
-        state = IWorkflowState(self.context).getState()
-        return ticket.r_code or state in (INITIALIZED, SUBMITTED)
+        app_state = IWorkflowState(self.context).getState()
+        return ticket.r_code or app_state in (INITIALIZED, SUBMITTED)
 
     def emit_lock_message(self):
@@ -826,8 +826,8 @@
             return
         self.applyData(self.context, **data)
-        state = IWorkflowState(self.context).getState()
+        app_state = IWorkflowState(self.context).getState()
         # This shouldn't happen, but the application officer
         # might have forgotten to lock the form after changing the state
-        if state != PAID:
+        if app_state != PAID:
             self.flash(_('This form cannot be submitted. Wrong state!'))
             return
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 8281)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 8282)
@@ -306,5 +306,5 @@
 
     history = Attribute('Object history, a list of messages')
-    state = Attribute('The application state of an applicant')
+    app_state = Attribute('The application state of an applicant')
     display_fullname = Attribute('The fullname of an applicant')
     application_date = Attribute('Date of submission, used for export only')
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/pdf.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/pdf.py	(revision 8281)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/pdf.py	(revision 8282)
@@ -81,5 +81,5 @@
 
     def _addComments(self, data):
-        if self.context.state == 'created':
+        if self.context.app_state == 'created':
             comment1 = _(
                 'Proceed to the login page of the portal' +
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 8281)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 8282)
@@ -662,6 +662,6 @@
         self.assertMatches('...paid...',
                            self.browser.contents)
-        state = IWorkflowState(self.applicant).getState()
-        self.assertTrue(state == 'paid')
+        app_state = IWorkflowState(self.applicant).getState()
+        self.assertTrue(app_state == 'paid')
 
     def test_final_submit(self):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py	(revision 8281)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py	(revision 8282)
@@ -141,14 +141,14 @@
         # into two parts.
         self.assertTrue(
-            'applicant_id,application_date,application_number,course1,course2,'
+            'app_state,applicant_id,application_date,application_number,course1,course2,'
             'course_admitted,date_of_birth,display_fullname,email,firstname,'
             'history,lastname,locked,middlename,notice,password,phone,'
-            'reg_number,screening_score,screening_venue,sex,state,'
+            'reg_number,screening_score,screening_venue,sex,'
             'student_id\r\n'
-            'dp2011_654321,,654321,,,,,Anna Tester,,Anna,'
+            'initialized,dp2011_654321,,654321,,,,,Anna Tester,,Anna,'
             in result)
         self.assertTrue(
             'Application initialized by system\'],Tester,'
-            '0,,,,,,,,,initialized,\r\n'
+            '0,,,,,,,,,\r\n'
             in result)
         return
@@ -164,11 +164,12 @@
         # history dict. We skip the date and split the comparison
         # into two parts.
-        self.assertTrue(
-            'applicant_id,application_date,application_number,course1,course2,'
+        print result
+        self.assertTrue(
+            'app_state,applicant_id,application_date,application_number,course1,course2,'
             'course_admitted,date_of_birth,display_fullname,email,firstname,'
             'history,lastname,locked,middlename,notice,password,phone,'
-            'reg_number,screening_score,screening_venue,sex,state,'
+            'reg_number,screening_score,screening_venue,sex,'
             'student_id\r\n'
-            'dp2011_654321,,654321,CERT1,CERT1,CERT1,1981-02-04,'
+            'initialized,dp2011_654321,,654321,CERT1,CERT1,CERT1,1981-02-04,'
             'Anna M. Tester,anna@sample.com,Anna,'
             in result)
@@ -176,5 +177,5 @@
             'Application initialized by system\'],'
             'Tester,0,M.,"Some notice\nin lines.",any password,'
-            '+234-123-12345,123456,98,Exam Room,f,initialized,\r\n'
+            '+234-123-12345,123456,98,Exam Room,f,\r\n'
             in result)
 
@@ -189,10 +190,10 @@
         result = open(self.outfile, 'rb').read()
         self.assertTrue(
-            'applicant_id,application_date,application_number,course1,course2,'
+            'app_state,applicant_id,application_date,application_number,course1,course2,'
             'course_admitted,date_of_birth,display_fullname,email,firstname,'
             'history,lastname,locked,middlename,notice,password,phone,'
-            'reg_number,screening_score,screening_venue,sex,state,'
+            'reg_number,screening_score,screening_venue,sex,'
             'student_id\r\n'
-            'dp2011_654321,,654321,CERT1,CERT1,CERT1,1981-02-04,'
+            'initialized,dp2011_654321,,654321,CERT1,CERT1,CERT1,1981-02-04,'
             'Anna M. Tester,anna@sample.com,Anna,'
             in result)
@@ -200,5 +201,5 @@
             'Application initialized by system\'],'
             'Tester,0,M.,"Some notice\nin lines.",any password,'
-            '+234-123-12345,123456,98,Exam Room,f,initialized,\r\n'
-            in result)
-        return
+            '+234-123-12345,123456,98,Exam Room,f,\r\n'
+            in result)
+        return